Bug 1241655 - please add new python macros also to epel
Summary: please add new python macros also to epel
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1257554
TreeView+ depends on / blocked
 
Reported: 2015-07-09 17:42 UTC by Thomas Spura
Modified: 2018-04-11 07:53 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 22:55:57 UTC


Attachments (Terms of Use)
macros.python to be added (2.20 KB, text/plain)
2015-07-09 17:42 UTC, Thomas Spura
no flags Details
Fixes to the python_provide macro (1.54 KB, patch)
2015-10-01 16:34 UTC, Thomas Spura
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1307190 None CLOSED RFE: add new python RPM macros to python-devel 2019-05-31 14:41 UTC

Internal Trackers: 1307190

Description Thomas Spura 2015-07-09 17:42:28 UTC
Created attachment 1050380 [details]
macros.python to be added

There will be new python macros available soon on Fedora:
https://fedorahosted.org/fpc/ticket/281

It would be nice to also get them on epel, so that those just work out of the box across epel/fedora.

Attached are macros that take use themselves %{__python}, %{__python2} and %{__python3}. On fedora, packages are expected to BR python-devel/python3-devel to have those macros defined, so it would be nice to have them on epel directly in the srpm, so it is also defined when packages BR python-devel (and well, are defined otherwise too...).

A current diff to the guideline on how to use them can be found at:
https://fedoraproject.org/w/index.php?title=User%3ATomspur%2FPackaging%3APython&diff=cur&oldid=414855

The announcement and guidelines changes will be sent out once the new python?-devel packages are at least in testing on Fedora.

Comment 1 Jason Tibbitts 2015-07-09 17:52:50 UTC
It would be nice to get at least some of these macros into EL6 and EL5 (though of course the py3 ones make no sense there).  I'll go ahead and request EL5 and EL6 branches so that we can at least play with them.

Comment 2 Orion Poplawski 2015-07-09 19:59:49 UTC
Perhaps the python3 macros can make it into the python34 EPEL package?

Comment 3 Jason Tibbitts 2015-07-09 20:04:54 UTC
That wouldn't help python2 packaging, though.  The idea is that we can somewhat standardize python packaging across releases.  We could, of course, put the py3-related macros in the EPEL7 python3 packages.

Comment 4 Fedora Update System 2015-08-01 16:33:53 UTC
epel-rpm-macros-7-2 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/epel-rpm-macros-7-2

Comment 5 Kevin Fenzi 2015-08-01 16:34:54 UTC
I went ahead and added these as above ^ 

Please look things over and see if we need any changes/additions/corrections.

Comment 6 Fedora Update System 2015-08-01 20:00:20 UTC
Package epel-rpm-macros-7-2:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing epel-rpm-macros-7-2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7485/epel-rpm-macros-7-2
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-17 19:05:46 UTC
epel-rpm-macros-7-2 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Carl George 2015-08-18 15:03:00 UTC
There is a missing closing bracket.

http://pkgs.fedoraproject.org/cgit/epel-rpm-macros.git/tree/macros.epel-rpm-macros?h=epel7&id=9588847dbccb3729b48ed90979eca5c9ccb6d8cd#n73

%py2_install() %{expand:\
CFLAGS="%{optflags}" %{__python2} %{py_setup} %{?py_setup_args} install -O1 --skip-build --root %{buildroot} %{?1}\

Every rpm/yum/dnf command I run on my system results in this error.

error: Macro %py2_install has unterminated body

Comment 9 Fedora Update System 2015-08-18 15:26:49 UTC
epel-rpm-macros-7-3 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/epel-rpm-macros-7-3

Comment 10 Fedora Update System 2015-08-22 19:48:55 UTC
epel-rpm-macros-7-3 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update epel-rpm-macros'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/epel-rpm-macros-7-3

Comment 11 Fedora Update System 2015-09-06 03:56:20 UTC
epel-rpm-macros-7-3 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Thomas Spura 2015-10-01 16:34 UTC
Created attachment 1079196 [details]
Fixes to the python_provide macro

Attached is a patch to update the %python_provide macros to the latest Fedora's one, which contains a couple of fixes:
- Use epoch in the version
- Obsolete the previous default python package in addition to providing it
- Fix the std python provide parsing

Comment 13 Fedora Update System 2015-10-08 17:05:54 UTC
epel-rpm-macros-7-4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e66a3acdcb

Comment 14 Fedora Update System 2015-10-09 22:53:41 UTC
epel-rpm-macros-7-4 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update epel-rpm-macros'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e66a3acdcb

Comment 15 Fedora Update System 2015-11-19 22:55:53 UTC
epel-rpm-macros-7-4 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.